Bug Hunting Session
Bug 96335 - PostScript Print: font errors after a not included character is used with font "Linux Libertine G"
Summary: PostScript Print: font errors after a not included character is used with fon...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Printing and PDF export (show other bugs)
Version:
(earliest affected)
5.0.3.2 release
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Font-Rendering
  Show dependency treegraph
 
Reported: 2015-12-08 11:09 UTC by Hans
Modified: 2017-09-24 18:19 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Exsample describing the issue (16.18 KB, application/vnd.oasis.opendocument.text)
2015-12-08 11:09 UTC, Hans
Details
Postscript output (89.38 KB, application/postscript)
2015-12-08 11:11 UTC, Hans
Details
Postscript output on Ubuntu 15.10 (32.83 KB, application/postscript)
2015-12-10 10:09 UTC, Buovjaga
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Hans 2015-12-08 11:09:41 UTC
Created attachment 121135 [details]
Exsample describing the issue

I'm not sure if this is a problem with LibreOffice or the font "Linux Libertine G".
When printing a PostScript file, using the font "Linux Libertine G" and inserting a character the font doesn't contain, the following text lines get messed up: wrong font, bad spacing, weird symbols (where a ligature should be).

Directly exporting to PDF produces fine results.

When using the font "Linux Libertine O" instead there is no problem at all.

I'll attach a sample document and the postscript output.
Comment 1 Hans 2015-12-08 11:11:47 UTC
Created attachment 121136 [details]
Postscript output

The Postscript Output of the sample file produced with LibreOffice 5.0.3.2 on Ubuntu 14.04.3 LTS
Comment 2 Buovjaga 2015-12-10 10:09:23 UTC
Created attachment 121189 [details]
Postscript output on Ubuntu 15.10

Produced by Print - Options - Print to file.

No problem.

Ubuntu 15.10 64-bit 
Version: 5.0.3.2
Build ID: 1:5.0.3~rc2-0ubuntu1
Locale: en-US (en_US.UTF-8)
Comment 3 Hans 2015-12-10 11:09:18 UTC
(In reply to Beluga from comment #2)
> Produced by Print - Options - Print to file.
> 
> No problem.

Do you have the fonts Linux Libertine O und Linux Libertine G installed? When I open the file „Postscript output on Ubuntu 15.10“ you provided with evince, the whole text is not shown with/in Linux Libertine. When opening the file with a text editor you'll see that instead the font DejaVuSans is used.


Maybe I should also add that I produced my postscript file with an own printer defined in ~/.config/libreoffice/4/user/psprint/psprint.conf

[PS-Druck]
Printer=SGENPRT/PS-Druck
DefaultPrinter=0
Location=
Comment=
Command=/home/user/bin/LibreOffice-PostScript-Druck.sh "(OUTFILE)"
QuickCommand=
Features=pdf=
Copies=1
Orientation=Portrait
PSLevel=2
PDFDevice=0
ColorDevice=0
ColorDepth=24
MarginAdjust=0,0,0,0
PPD_PageSize=A4
PerformFontSubstitution=false
SubstFont_Helmet=Helvetica
SubstFont_Thorndale=Times
SubstFont_Arial=Helvetica
SubstFont_Times New Roman=Times
SubstFont_Timmons=Times
SubstFont_Albany=Helvetica
SubstFont_Courier New=Courier
SubstFont_Cumberland=Courier


This script is reading the file from the pipe and writing it to a file.

if readlink /proc/$$/fd/0 | grep -q "^pipe:"; then
 cat > $$.ps # read from stdin and write to stdout > $$.ps
fi
Comment 4 Buovjaga 2015-12-10 11:43:09 UTC
Sorry, I wasn't paying enough attention.. I didn't have them installed.
Now I could reproduce.

Linux Libertine G I got from http://numbertext.org/linux/
Comment 5 QA Administrators 2017-01-03 19:39:34 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.1.6 or 5.2.3  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20170103